%define		php_name	php%{?php_suffix}
%define		modname	tcpwrap
%define		status		stable
Summary:	%{modname} - tcpwrapper bindings
Summary(pl.UTF-8):	%{modname} - dowiązania tcpwrapper
Name:		%{php_name}-pecl-%{modname}
Version:	1.1.3
Release:	5
License:	PHP 3.01
Group:		Development/Languages/PHP
Source0:	http://pecl.php.net/get/%{modname}-%{version}.tgz
# Source0-md5:	6db26ebbf6c59fedf2228e662fe78e3e
URL:		http://pecl.php.net/package/tcpwrap/
BuildRequires:	libwrap-devel
BuildRequires:	%{php_name}-devel >= 3:5.0.0
BuildRequires:	rpmbuild(macros) >= 1.650
%{?requires_php_extension}
Requires:	php(core) >= 5.0.4
Obsoletes:	php-pear-%{modname}
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
This package handles /etc/hosts.allow and /etc/hosts.deny files.

In PECL status of this package is: %{status}.

%description -l pl.UTF-8
Za pomocą tego pakietu możliwa jest obsługa plików /etc/hosts.allow
oraz /etc/hosts.deny.

To rozszerzenie ma w PECL status: %{status}.

%prep
%setup -qc
mv %{modname}-%{version}/* .

%build
phpize
%configure
%{__make}

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT{%{php_sysconfdir}/conf.d,%{php_extensiondir}}
install -p modules/%{modname}.so $RPM_BUILD_ROOT%{php_extensiondir}
cat <<'EOF' > $RPM_BUILD_ROOT%{php_sysconfdir}/conf.d/%{modname}.ini
; Enable %{modname} extension module
extension=%{modname}.so
EOF

%clean
rm -rf $RPM_BUILD_ROOT

%post
%php_webserver_restart

%postun
if [ "$1" = 0 ]; then
	%php_webserver_restart
fi

%files
%defattr(644,root,root,755)
%doc CREDITS EXPERIMENTAL
%config(noreplace) %verify(not md5 mtime size) %{php_sysconfdir}/conf.d/%{modname}.ini
%attr(755,root,root) %{php_extensiondir}/%{modname}.so
%changelog
* Sun Nov 24 2013 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/php-pecl-tcpwrap.git;a=log;h=master

* Fri Jun 21 2013 Elan Ruusamäe <glen@delfi.ee> 5157b54
support building for multiple php versions

* Thu Aug 23 2012 Elan Ruusamäe <glen@delfi.ee> 1db9d72
- use php(core) as dependency to require php version
- release 4 (by relup.sh)

* Fri Aug 03 2012 Elan Ruusamäe <glen@delfi.ee> a4619b1
- release 4 (by relup.sh)

* Sat Dec 11 2010 Arkadiusz Miśkiewicz <arekm@maven.pl> c2da71b
- release 3

* Wed Jun 02 2010 Elan Ruusamäe <glen@pld-linux.org> 667cf3f
- release 2

* Sun Apr 26 2009 Adam Gołębiowski <adamg@pld-linux.org> 22d8549
- license fixes Andrzej Mateja <amateja () pimpek.one.pl>

* Sat Jul 19 2008 Adam Gołębiowski <adamg@pld-linux.org> 2fdfbc0
- updated to 1.1.3

* Tue Feb 13 2007 Elan Ruusamäe <glen@pld-linux.org> ae16c3f
- tabs in preamble

* Mon Feb 12 2007 Jan Rękorajski <baggins@pld-linux.org> 0141dbf
- converted to UTF-8

* Tue Jan 02 2007 Elan Ruusamäe <glen@pld-linux.org> 0ed376d
- use new php extension related macros

* Thu Nov 02 2006 Elan Ruusamäe <glen@pld-linux.org> 5948c62
- BR rpmmacros for fixed %requires_php_extension

* Sat Oct 29 2005 Elan Ruusamäe <glen@pld-linux.org> 539e837
- rebuild with zts and debug requires

* Wed Sep 14 2005 Elan Ruusamäe <glen@pld-linux.org> 0efcb7d
- conf.d and php api macros

* Tue Sep 13 2005 Elan Ruusamäe <glen@pld-linux.org> 33c1a25
- superfluous BR libtool removed

* Mon Sep 12 2005 Elan Ruusamäe <glen@pld-linux.org> 0b4c45f
- ./adapter -s

* Sun May 30 2004 Adam Gołębiowski <adamg@pld-linux.org> 4d6f277
- fixed english information about status of the package (also s/PEAR/PECL/)

* Sat Oct 25 2003 Adam Gołębiowski <adamg@pld-linux.org> 0572c73
- updated to 1.0

* Tue Oct 21 2003 Adam Gołębiowski <adamg@pld-linux.org> 711733f
- added some BR:

* Tue Oct 21 2003 Adam Gołębiowski <adamg@pld-linux.org> 584f979
- almost raw initial import

